Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Interface Processor

All Superinterfaces:
  Loadable

All Known Subinterfaces:
  QueryProcessor

All Known Implementing Classes:
  ProcessorCom, QueryModelProcessor, QueryProcessorCom, QueryProcessorRDQL

public interface Processor
extends Loadable

Interface for all processors. Query processors have their own, specialised interface.

Version:
  $Id: Processor.java,v 1.3 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne
See Also:
  `QueryProcessor`

Field Summary
`static int` | `ARGS_ONE`
`static int` | `ARGS_ZERO`
`static int` | `ARGS_ZERO_OR_ONE`

Method Summary
`int` | `argsNeeded()` Return the number of argument models this operation expects in the input request.
`com.hp.hpl.jena.rdf.model.Model` | `exec(Request request)` Execute the operation.

Methods inherited from interface org.joseki.server.module.Loadable
`getInterfaceURI, init`

Field Detail

### ARGS_ZERO

    public static final int ARGS_ZERO

See Also:
  Constant Field Values

### ARGS_ONE

    public static final int ARGS_ONE

See Also:
  Constant Field Values

### ARGS_ZERO_OR_ONE

    public static final int ARGS_ZERO_OR_ONE

See Also:
  Constant Field Values

Method Detail

### exec

    public com.hp.hpl.jena.rdf.model.Model exec(Request request)
                                         throws ExecutionException

  Execute the operation.

  Returns:
    Model Should not be null.
  Throws:
    `ExecutionException`

### argsNeeded

    public int argsNeeded()

  Return the number of argument models this operation expects in the input request. For HTTP, this is zero or one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.